Subject: 25.0.92; Cannot create temporary file ending in a period on OS X

From: John Wiegley <[email-masked]>
Date: Thu, 21 Apr 2016 09:30:40 -0700

I'm not sure if this is a Mac problem, or an Emacs 25 problem, but it occurs
with the latest emacs-25 on OS X 10.10:

    M-: (make-temp-name "index.magit.") RET

Will report the error:

    Cannot create temporary name for prefix: Bad file descriptor, index.magit.

I discovered this because Magit 2.6 uses temporary files with such a name.

-- 
John Wiegley                  GPG fingerprint = 4710 CF98 AF9B 327B B80F
http://newartisans.com                          60E1 46C4 BD1A 7AC1 4BA2